import Foundation

struct PostFile {

    let isDraft: Bool

    let createdDate: Date

    let startDate: Date

    let endDate: Date?

    let tags: [String]

    let german: LocalizedPostFile

    let english: LocalizedPostFile

    let linkedPageId: String?
}

extension PostFile: Codable {

}

/**
 The structure to store the metadata of a localized post
 */
struct LocalizedPostFile {

    let images: [String]

    let title: String?

    let content: String

    let lastModifiedDate: Date?

    let linkPreviewImage: String?

    let linkPreviewTitle: String?

    let linkPreviewDescription: String?
}

extension LocalizedPostFile: Codable {

}
